<?xml version="1.0" encoding="UTF-8"?>
<system name="RV-5M radioaltimeter">
 <!-- Радиовысотомер РВ-5М -->




 <channel name="Common error">

  <fcs_function name="fcs/RV[0]/func/kHattitude">
   <output>fcs/RV[1]/func/kHattitude</output>
   <function>
    <quotient>
     <v>1.0</v>
     <max>
      <cos>
       <max>
        <difference>
         <sqrt>
          <sum>
           <product>
            <p>attitude/theta-rad</p>
            <p>attitude/theta-rad</p>
           </product>
           <product>
            <p>attitude/phi-rad</p>
            <p>attitude/phi-rad</p>
           </product>
          </sum>
         </sqrt>
         <!-- = 15 deg -->
         <v>0.2617993877991494</v>
        </difference>
        <v>0.0</v>
       </max>
      </cos>
      <v>0.0000001</v>
     </max>
    </quotient>
   </function>
  </fcs_function>

 </channel>


 <channel name="Common output">

  <fcs_function name="fcs/NPK/ABSU/sensor/RV/Hagl-m">
   <output>systems/SSOS/Hagl-m</output>
   <function>
    <min>
     <p>fcs/RV[0]/Hagl-m</p>
     <p>fcs/RV[1]/Hagl-m</p>
    </min>
   </function>
  </fcs_function>

  <switch name="fcs/NPK/ABSU/sensor/RV/ok">
   <default value="1"/>
   <test logic="OR" value="0">
    fcs/NPK/ABSU/sensor/RV/Hagl-m GE 750.0
    fcs/RV[0]/instr/UV/button/test NE 0
    fcs/RV[1]/instr/UV/button/test NE 0
   </test>
  </switch>

  <switch name="fcs/NPK/ABSU/sensor/RV/decision">
   <output>systems/comm/RI/sensor/RV/decision</output>
   <default value="0"/>
   <test logic="OR" value="0">
    fcs/RV[0]/instr/UV/button/test NE 0
    fcs/RV[1]/instr/UV/button/test NE 0
   </test>
   <test logic="OR" value="1">
    fcs/RV[0]/instr/UV/light/warning NE 0
    fcs/RV[1]/instr/UV/light/warning NE 0
   </test>
  </switch>

 </channel>


</system>
